//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .h, for easier inclusion in a project

#ifndef ALL_GFX_H
#define ALL_GFX_H

#ifndef PAGfx_struct
    typedef struct{
    void *Map;
    int MapSize;
    void *Tiles;
    int TileSize;
    void *Palette;
    int *Info;
} PAGfx_struct;
#endif


// Sprite files : 
extern const unsigned char arrow_back_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : palette_Pal
extern const unsigned char arrow_next_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : palette_Pal
extern const unsigned char OK_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : palette_Pal
extern const unsigned char NOK_Sprite[256] __attribute__ ((aligned (4))) ;  // Pal : palette_Pal

// Background files : 
extern const int splash_Info[3]; // BgMode, Width, Height
extern const unsigned short splash_Map[768] __attribute__ ((aligned (4))) ;  // Pal : splash_Pal
extern const unsigned char splash_Tiles[47744] __attribute__ ((aligned (4))) ;  // Pal : splash_Pal
extern PAGfx_struct splash; // background pointer

extern const int pirates_Info[3]; // BgMode, Width, Height
extern const unsigned short pirates_Map[768] __attribute__ ((aligned (4))) ;  // Pal : pirates_Pal
extern const unsigned char pirates_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : pirates_Pal
extern PAGfx_struct pirates; // background pointer

extern const int retour_Info[3]; // BgMode, Width, Height
extern const unsigned short retour_Map[768] __attribute__ ((aligned (4))) ;  // Pal : retour_Pal
extern const unsigned char retour_Tiles[36864] __attribute__ ((aligned (4))) ;  // Pal : retour_Pal
extern PAGfx_struct retour; // background pointer

extern const int roger_Info[3]; // BgMode, Width, Height
extern const unsigned short roger_Map[768] __attribute__ ((aligned (4))) ;  // Pal : roger_Pal
extern const unsigned char roger_Tiles[36672] __attribute__ ((aligned (4))) ;  // Pal : roger_Pal
extern PAGfx_struct roger; // background pointer

extern const int highlander_Info[3]; // BgMode, Width, Height
extern const unsigned short highlander_Map[768] __attribute__ ((aligned (4))) ;  // Pal : highlander_Pal
extern const unsigned char highlander_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : highlander_Pal
extern PAGfx_struct highlander; // background pointer

extern const int marriage_Info[3]; // BgMode, Width, Height
extern const unsigned short marriage_Map[768] __attribute__ ((aligned (4))) ;  // Pal : marriage_Pal
extern const unsigned char marriage_Tiles[36288] __attribute__ ((aligned (4))) ;  // Pal : marriage_Pal
extern PAGfx_struct marriage; // background pointer

extern const int basic_Info[3]; // BgMode, Width, Height
extern const unsigned short basic_Map[768] __attribute__ ((aligned (4))) ;  // Pal : basic_Pal
extern const unsigned char basic_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : basic_Pal
extern PAGfx_struct basic; // background pointer

extern const int belleaubois_Info[3]; // BgMode, Width, Height
extern const unsigned short belleaubois_Map[768] __attribute__ ((aligned (4))) ;  // Pal : belleaubois_Pal
extern const unsigned char belleaubois_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : belleaubois_Pal
extern PAGfx_struct belleaubois; // background pointer

extern const int bellebete_Info[3]; // BgMode, Width, Height
extern const unsigned short bellebete_Map[768] __attribute__ ((aligned (4))) ;  // Pal : bellebete_Pal
extern const unsigned char bellebete_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : bellebete_Pal
extern PAGfx_struct bellebete; // background pointer

extern const int bernard_Info[3]; // BgMode, Width, Height
extern const unsigned short bernard_Map[768] __attribute__ ((aligned (4))) ;  // Pal : bernard_Pal
extern const unsigned char bernard_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : bernard_Pal
extern PAGfx_struct bernard; // background pointer

extern const int cinquieme_Info[3]; // BgMode, Width, Height
extern const unsigned short cinquieme_Map[768] __attribute__ ((aligned (4))) ;  // Pal : cinquieme_Pal
extern const unsigned char cinquieme_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : cinquieme_Pal
extern PAGfx_struct cinquieme; // background pointer

extern const int mask_Info[3]; // BgMode, Width, Height
extern const unsigned short mask_Map[768] __attribute__ ((aligned (4))) ;  // Pal : mask_Pal
extern const unsigned char mask_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : mask_Pal
extern PAGfx_struct mask; // background pointer

extern const int obrother_Info[3]; // BgMode, Width, Height
extern const unsigned short obrother_Map[768] __attribute__ ((aligned (4))) ;  // Pal : obrother_Pal
extern const unsigned char obrother_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : obrother_Pal
extern PAGfx_struct obrother; // background pointer

extern const int shrek_Info[3]; // BgMode, Width, Height
extern const unsigned short shrek_Map[768] __attribute__ ((aligned (4))) ;  // Pal : shrek_Pal
extern const unsigned char shrek_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : shrek_Pal
extern PAGfx_struct shrek; // background pointer

extern const int forrest_Info[3]; // BgMode, Width, Height
extern const unsigned short forrest_Map[768] __attribute__ ((aligned (4))) ;  // Pal : forrest_Pal
extern const unsigned char forrest_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : forrest_Pal
extern PAGfx_struct forrest; // background pointer

extern const int indianajones_Info[3]; // BgMode, Width, Height
extern const unsigned short indianajones_Map[768] __attribute__ ((aligned (4))) ;  // Pal : indianajones_Pal
extern const unsigned char indianajones_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : indianajones_Pal
extern PAGfx_struct indianajones; // background pointer

extern const int marry_Info[3]; // BgMode, Width, Height
extern const unsigned short marry_Map[768] __attribute__ ((aligned (4))) ;  // Pal : marry_Pal
extern const unsigned char marry_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : marry_Pal
extern PAGfx_struct marry; // background pointer

extern const int spiderman_Info[3]; // BgMode, Width, Height
extern const unsigned short spiderman_Map[768] __attribute__ ((aligned (4))) ;  // Pal : spiderman_Pal
extern const unsigned char spiderman_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : spiderman_Pal
extern PAGfx_struct spiderman; // background pointer

extern const int star_Info[3]; // BgMode, Width, Height
extern const unsigned short star_Map[768] __attribute__ ((aligned (4))) ;  // Pal : star_Pal
extern const unsigned char star_Tiles[36608] __attribute__ ((aligned (4))) ;  // Pal : star_Pal
extern PAGfx_struct star; // background pointer

extern const int starwars_Info[3]; // BgMode, Width, Height
extern const unsigned short starwars_Map[768] __attribute__ ((aligned (4))) ;  // Pal : starwars_Pal
extern const unsigned char starwars_Tiles[36352] __attribute__ ((aligned (4))) ;  // Pal : starwars_Pal
extern PAGfx_struct starwars; // background pointer

extern const int tootsie_Info[3]; // BgMode, Width, Height
extern const unsigned short tootsie_Map[768] __attribute__ ((aligned (4))) ;  // Pal : tootsie_Pal
extern const unsigned char tootsie_Tiles[36928] __attribute__ ((aligned (4))) ;  // Pal : tootsie_Pal
extern PAGfx_struct tootsie; // background pointer


// Palette files : 
extern const unsigned short palette_Pal[37] __attribute__ ((aligned (4))) ;
extern const unsigned short splash_Pal[238] __attribute__ ((aligned (4))) ;
extern const unsigned short pirates_Pal[246] __attribute__ ((aligned (4))) ;
extern const unsigned short retour_Pal[251] __attribute__ ((aligned (4))) ;
extern const unsigned short roger_Pal[256] __attribute__ ((aligned (4))) ;
extern const unsigned short highlander_Pal[251] __attribute__ ((aligned (4))) ;
extern const unsigned short marriage_Pal[251] __attribute__ ((aligned (4))) ;
extern const unsigned short basic_Pal[239] __attribute__ ((aligned (4))) ;
extern const unsigned short belleaubois_Pal[246] __attribute__ ((aligned (4))) ;
extern const unsigned short bellebete_Pal[250] __attribute__ ((aligned (4))) ;
extern const unsigned short bernard_Pal[248] __attribute__ ((aligned (4))) ;
extern const unsigned short cinquieme_Pal[241] __attribute__ ((aligned (4))) ;
extern const unsigned short mask_Pal[251] __attribute__ ((aligned (4))) ;
extern const unsigned short obrother_Pal[231] __attribute__ ((aligned (4))) ;
extern const unsigned short shrek_Pal[250] __attribute__ ((aligned (4))) ;
extern const unsigned short forrest_Pal[246] __attribute__ ((aligned (4))) ;
extern const unsigned short indianajones_Pal[240] __attribute__ ((aligned (4))) ;
extern const unsigned short marry_Pal[254] __attribute__ ((aligned (4))) ;
extern const unsigned short spiderman_Pal[250] __attribute__ ((aligned (4))) ;
extern const unsigned short star_Pal[238] __attribute__ ((aligned (4))) ;
extern const unsigned short starwars_Pal[247] __attribute__ ((aligned (4))) ;
extern const unsigned short tootsie_Pal[246] __attribute__ ((aligned (4))) ;


#endif

