
#include <PA9.h>
#include "Question.h"
#include "Questionnaire.h"
#include "utils.h"
#include "gfx/all_gfx.h"



//Main...
int main(void){

    //init PA
	PA_Init(); //PAlib Init...
	PA_InitVBL(); //VBL Init...

    //initTopScreen
    PA_SetBgColor(TOPSCREEN,PA_RGB(29,29,29));//mettre le fond en blanc
    PA_Init16cBg(TOPSCREEN, 0);

    //initLowScreen
    PA_SetBgColor(LOWSCREEN,PA_RGB(30,30,30));//mettre le fond en blanc
    PA_Init16cBg(LOWSCREEN, 1); //
    PA_SetTextCol(LOWSCREEN,0,0,0);

    splashScreen();

    PA_InitKeyboard(0); // Chargement du clavier sur le fond 2...
    PA_KeyboardIn(20, 100); // Fait glisser le clavier par le bas jusqu'à-ce qu'il soit en place




    //init questionnaire
    Questionnaire* questionnaire=new Questionnaire();
    questionnaire->affiche();
	while(1){
	    if (Stylus.Newpress){
            if (PA_SpriteTouched(nextArrow)){
                questionnaire->next();
                questionnaire->affiche();
            }
            if (PA_SpriteTouched(backArrow)){
                questionnaire->back();
                questionnaire->affiche();
            }
	    }
        gestionClavier();
        if (getTextSaisi().length()!=0){
            if (UpperCase(getTextSaisi())==UpperCase(questionnaire->current()->reponse)){
              questionnaire->current()->reponseOk=1;
              questionnaire->afficheLight();
            }


        }
        PA_WaitForVBL();
	}
	return 0;
}
